FreeMat

- Main Page
- Related Pages

vtkImageDataLIC2DExtentTranslator

Section: Visualization Toolkit Hybrid Classes

# Usage

To create an instance of class vtkImageDataLIC2DExtentTranslator, simply invoke its constructor as follows

      obj = vtkImageDataLIC2DExtentTranslator

# Methods

The class vtkImageDataLIC2DExtentTranslator has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageDataLIC2DExtentTranslator class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageDataLIC2DExtentTranslator = obj.NewInstance ()`
- `vtkImageDataLIC2DExtentTranslator = obj.SafeDownCast (vtkObject o)`
- `obj.SetAlgorithm (vtkImageDataLIC2D )` - Set the vtkImageDataLIC2D algorithm for which this extent translator is being used.
- `vtkImageDataLIC2D = obj.GetAlgorithm ()` - Set the vtkImageDataLIC2D algorithm for which this extent translator is being used.
- `obj.SetInputExtentTranslator (vtkExtentTranslator )`
- `vtkExtentTranslator = obj.GetInputExtentTranslator ()`
- `obj.SetInputWholeExtent (int , int , int , int , int , int )`
- `obj.SetInputWholeExtent (int a[6])`
- `int = obj. GetInputWholeExtent ()`
- `int = obj.PieceToExtentThreadSafe (int piece, int numPieces, int ghostLevel, int wholeExtent, int resultExtent, int splitMode, int byPoints)`